UpdateListing
/api/v1/listings/{listing}Update the definition of a listing. This includes the description, owner, and visibility.
Example request
Section titled “Example request”curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "visibility": "UNLISTED" }' \ "https://us.oblique.security/api/v1/listings/{listing}?updateMask=displayName,visibility"Set OBLIQUE_API_KEY to your API key.
curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "visibility": "UNLISTED" }' \ "https://eu.oblique.security/api/v1/listings/{listing}?updateMask=displayName,visibility"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”listing.namestringrequiredAssigned by Oblique. Name of the listing of the format
listings/{id}.
Query parameters
Section titled “Query parameters”updateMaskstring (field-mask)The list of fields to update.
allowMissingbooleanIf set to true, and the listing is not found, a new listing will be created with the given name. If created in this way,
update_maskis ignored.
Request body
Section titled “Request body”createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyIf present, the listing has been deleted and won’t be returned in List operations.
effectiveMembersUpdateTimestring (date-time)read-onlyThe time when a change was last made that would require the listing’s effective members to be recomputed. For example, when an entitlement is created or deleted on a resource that is part of a listing role.
effectiveMembersSyncTimestring (date-time)read-onlyThe time when the listing’s effective members were last recomputed by the effective membership sync.
displayNamestringrequiredA short display name of the listing. For example “GitHub” or “Salesforce”.
descriptionstringA longer description of the role explaining to the end user what this listing represents, or what users should do once they have access.
visibilitystringrequiredVisibility of the listing. When initially created, this should be set to
UNLISTED.managementManagementHow this listing is managed. Set automatically by the server based on the calling client. Omitted from responses when the listing is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
Response
Section titled “Response”200ListingListing is a collection of resources by role that enable a user-facing view
to facilitate access requests. Top level listings describe a service, such as
“GitHub”, “Salesforce”, or “Datadog”. Listings then have a set of roles that
grant users kinds of access to the service, such as “Viewer”, “Editor”, or
“Admin”.
namestringAssigned by Oblique. Name of the listing of the format
listings/{id}.createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyIf present, the listing has been deleted and won’t be returned in List operations.
effectiveMembersUpdateTimestring (date-time)read-onlyThe time when a change was last made that would require the listing’s effective members to be recomputed. For example, when an entitlement is created or deleted on a resource that is part of a listing role.
effectiveMembersSyncTimestring (date-time)read-onlyThe time when the listing’s effective members were last recomputed by the effective membership sync.
displayNamestringrequiredA short display name of the listing. For example “GitHub” or “Salesforce”.
descriptionstringA longer description of the role explaining to the end user what this listing represents, or what users should do once they have access.
visibilitystringrequiredVisibility of the listing. When initially created, this should be set to
UNLISTED.managementManagementHow this listing is managed. Set automatically by the server based on the calling client. Omitted from responses when the listing is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |